// hwmom-ui/src/api/dms/report/faultTrace.ts
import request from '@/utils/request';
import { FaultTraceQuery, FaultTraceVO } from './types';
import { RealtimeAlarmQuery, RealtimeAlarmVO } from './types';


export function listFaultTrace(query: FaultTraceQuery) {
  return request({
    url: '/dms/report/faultTrace/list',
    method: 'get',
    params: query,
  });
}

export function exportFaultTrace(query: FaultTraceQuery) {
  return request({
    url: '/dms/report/faultTrace/export',
    method: 'post',
    data: query,
    responseType: 'blob',
  });
}

export function listRealtimeAlarm(query: RealtimeAlarmQuery) {
  return request({
    url: '/dms/report/realtimeAlarm/list',
    method: 'get',
    params: query,
  });
}

export function exportRealtimeAlarm(query: RealtimeAlarmQuery) {
  return request({
    url: '/dms/report/realtimeAlarm/export',
    method: 'post',
    data: query,
    responseType: 'blob',
  });
}